<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class DokumenType extends Model
{
    protected $table = 'DokumenType';
    protected $primaryKey = 'DokumenTypeID';

    protected $fillable = [
        'Kode',
        'Nama',
    ];

    public function jadwalSidang()
    {
        return $this->hasMany(JadwalSidang::class, 'DokumenTypeID', 'DokumenTypeID');
    }
}

